Intereting Posts
Студия Android не позволяет мне установить платформу Android SDK Уведомление в ожиданииIntent contentIntent завершается сбой при завершении вызова активности () Исполнительная служба с заказом LIFO Что такое метод getApplicationContext ()? Null Validation в поле EditText в диалоговом окне оповещений – Android Как установить минимальный и максимальный размер для ImageView в Android Android: как установить цвет текста тоста Является ли app-release.apk zipaligned apk? «Auth_client_using_bad_version_title» переведено здесь, но не найдено в стандартном языковом выражении Активность в Android Путайте иконки Кордовы и заставки Как использовать новый формат ограничений Android для уменьшения иерархии просмотра Как связать статические библиотеки (файлы .a) с APK с помощью графического плагина gradle 0.2.0 в Android Studio Плагин Phonegap: как преобразовать строку Base64 в PNG-изображение в Android Android adb shell am launchervice: Ошибка не найдена

Gradle build-info.xml не найден для приложения модуля в Android Studio

Gradle build-info.xml не найден для приложения модуля. Пожалуйста, убедитесь, что вы используете gradle plugin gradle: 2.0.0-alpha или больше

Я использую плагин gradle в gradle: 2.0.0-beta2. Я случайно получаю это предупреждение, и после этого очень часто либо приложение не обновляется, либо сбой. Достаточно очистить и перестроить, чтобы исправить проблему.

Есть ли лучший способ исправить это?

Solutions Collecting From Web of "Gradle build-info.xml не найден для приложения модуля в Android Studio"

Для меня это происходит на Mac, но в Windows он работает нормально все время. С тех пор, как я обновил версию Android Studio до версии 2.0, эта проблема все еще присутствовала до официальной версии 2.0 для Android Studio.

Что помогло отключить Instant Run в Android Studio -> Настройки (поиск «мгновенного запуска» или) -> «Сборка, выполнение, развертывание» -> Мгновенный запуск -> Включить мгновенный запуск -> отключить

Run-> очистить и перезапустить приложение. Сделал свою работу.

Попробуйте удалить другие версии градиента из студии. Предположим, что у вас есть работа с gradle 2.10, а также с установкой 2.8, обертка gradle ведет себя неожиданно в этом случае. Поэтому мы должны каждый раз чистить и перестраивать.

Это работает в моем случае; Надеюсь, в твоем ». 🙂

Я изменил build.Gradle проекта как:

 buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:2.+' // using 2.+ will solve the problem } } 

Я испытал такое же предупреждение / ошибку и узнал, что в моем случае это было вызвано отсутствующими или неправильно настроенными файлами .idea.

В частности, убедитесь, что ваш «gradleHome» в .idea / gradle.xml указывает на нужное место:

.idea / gradle.xml

 <option name="gradleHome" value="C:\Program Files\Android\Android Studio Canary\gradle\gradle-2.10" /> 

Если проблема не устранена, убедитесь, что модули приложения настроены правильно:

.idea / modules.xml

 <module fileurl="file://$PROJECT_DIR$/app/app.iml" filepath="$PROJECT_DIR$/app/app.iml" /> 

У меня такая же проблема. В моем случае мне пришлось сделать File -> Settings -> Build, Execution, Deployment -> Compiler а затем проверить Use in-process build .